写了个调用scale命令的程序,但实现不了,求教
<p>void asdknewscale()<br/>{<br/> // TODO: Implement the command<br/> ads_point cp = {5.0, 5.0, 0.0};<br/> ads_real rad = 2.0;<br/> ads_name circEnt;<br/>int rc = RTNORM;</p><p> struct resbuf *rbcirc;</p><p> acedCommand(RTSTR, "SCALE",<br/> RTPOINT, cp,<br/> RTREAL, rad,<br/> RTNONE);</p><p> acedSSGet(NULL,NULL,NULL,NULL,circEnt);</p><p> acedInitGet(RSG_NONULL, NULL);<br/> acedGetPoint(NULL, "\nPick base point: ", cp);<br/> <br/> acedInitGet(RSG_NONULL + RSG_NOZERO + RSG_NONEG, NULL);<br/> acedGetReal("\nscale factor: ", &rad);<br/> if(rc != RTNORM)<br/> {<br/> acutPrintf("\nError entering: ");<br/> return;<br/> }</p><p> rbcirc = acutBuildList(RTSTR, "SCALE",<br/> RTPOINT, cp,<br/> RTREAL, rad,<br/> RTNONE);</p><p> </p><p> acedCmd(rbcirc);<br/> </p><p> acutRelRb(rbcirc);</p><p> <br/> </p><p> }</p>
页:
[1]